Siteuri partenere

Pentru a va inscrie pe Ubuntu One puteti da click aici (referal) și câștigăm amândoi câțiva MB spațiu de stocare.

joi, 5 mai 2016

Kdenlive „crapă” la importul unui clip

Salutare! Una mică și rapidă astăzi despre Kdenlive și felul frumos în care crapă dacă încercăm să importăm un clip video (în orice format - mp4, flv, avi, webm, etc.). Dacă se întâmplă asta, mai mult ca sigur avem o versiune relativ recentă de Kdenlive (15.12 sau mai nouă) și am activat efectele GPU. Adică o serie de efecte video foarte frumoase, ce-i drept, daaar.... care nu se înțeleg deloc, da' deloc cu VDPAU de la nVidia (problema se manifestă și pe distribuții rolling release ca ArchLinux și este cunoscută de nVidia, care cică lucrează la o soluție. ). Așa că n-avem altă soluție decât să le dezactivăm. Mergem frumușel la Settings - Configure Kdenlive - Playback (în partea stângă, mai jos) și debifăm Use GPU processing (Movit library). Am scris indicațiile în engleză că așa am eu sistemul, dar e simplu de urmărit. Kdenlive va reporni automat și putem lucra.
Dacă tot nu merge, pornim Kdenlive din terminal și ne uităm la erorile apărute apoi... căutăm pe net, că doar nu le știu eu pe toate... :P

luni, 18 aprilie 2016

Activare/reparare butoane luminozitate pentru unele modele de Asus

Mai exact cele care au placa video următoare:
00:02.0 VGA compatible controller: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display (rev 0e)
Problema cu luminozitatea e arhi-cunoscută pe Linux. Sunt plăci video care nu merg cum ar trebui out of the box, așa că trebuie să-ți bagi dejtele prin măruntaiele sistemului...
În marea majoritate a cazurilor problema cu tastele care nu funcționează (Fn+F5/F6 sunt de obicei cele cu care se schimbă luminozitatea) se rezolvă dacă adăugăm în grub următoarele opțiuni:

acpi_osi=Linux acpi_backlight=vendor


Așa că m-am apucat de căutat pe net alte soluții, că na, prea mă bătea lumina de la monitor în ochi. Și am dat peste asta. Adăugăm opțiunile astea în grub:
acpi_osi= acpi_backlight=native


Atenție!! După acpi_osi= trebuie un spațiu!!!
Actualizăm grub-ul și reboot. Bonusul pe laptopul meu a fost că au început să funcționeze și alte combinații de taste (Fn+ un alt F 1-12): pot dezactiva WiF-ul, touchpadul, etc. Tare!!

luni, 18 ianuarie 2016

Eroare Gstreamer la media player sau radio online

Hai noroc! Una scurtă astăzi despre Gstreamer și erorile legate de el, de fapt de absența din depozitele oficiale din Ubuntu 14.04 a gstreamer-ffmpeg. Nu știu cum stă treaba pe alte versiuni că nu folosesc decât Kubuntu 14.04 64bit.
Pe scurt, mai folosesc Radio Tray ca să ascult posturi de radio online. Doar că azi am adăugat un post de radio românesc și m-am trezit cu eroarea asta:

gstdecodebin2.c(3576): gst_decode_bin_expose (): /GstPlayBin2:player/GstURIDecodeBin:uridecodebin1/GstDecodeBin2:decodebin21: no suitable plugins found
Așa că am săpat puțin pe net și am aflat că e de la buclucașul plugin de mai sus. Ca să rezolvăm treaba, avem mai multe variante:
  1. Compilăm gstreamer-ffmpeg din surse, dacă „ne ține” (link-ul către site e mai sus).
  2. Căutăm pe net un pachet compatibil. Și așa ajungem la ppa-ul ăsta, care e cam vechi, dar pentru mine a mers. NU l-am adăugat în sistem, am preferat doar să descarc pachetul pe 64bit pentru sistemul meu:

cd Downloads
wget https://launchpad.net/~mc3man/+archive/ubuntu/gstffmpeg-keep/+files/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_amd64.deb
sudo gdebi gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_amd64.deb

Gdebi nu este instalat implicit în (K)Ubuntu 14.04, dar aici vă descurcați voi (sudo apt-get install gdebi ;) ). Am repornit apoi Radio Tray și gata. Normal, dacă aveți sistemul pe 32bit, comenzile de mai sus vor fi așa:
cd Downloads
wget https://launchpad.net/~mc3man/+archive/ubuntu/gstffmpeg-keep/+files/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_i386.deb
sudo gdebi gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_i386.deb

Observații:
1. Știu că pot asculta radio online cu nșpe alte programe. Radio Tray îmi convine foarte mult, așa că...
2. Eroarea de mai sus apare și la media player când vrem să ascultăm anumite formate mai „ciudate” de genul .wma, .wav, etc. Cel puțin așa am găsit pe net. În plus, pot fi și erori asemănătoare, nu neapărat cu numărul de mai sus, care se rezolvă tot prin metoda asta.

marți, 3 noiembrie 2015

Cum scăpăm de GIMP ca utilitar implicit de citit PDF-uri în Firefox și KDE

Am problema asta cam demult... Dacă vreau să deschid un PDF în Firefox, opțiunea implicită este ... GIMP (foto). Și eu vreau Okular. Am mai căutat pe ici, pe colo, nimic. Azi m-am gândit că ori rezolv problema, ori renunț la Firefox. :). Nu voiam decât să am okular acolo, nu GIMP. Știu că există diverse trucuri, dar eu asta voiam. Ca să n-o mai lungesc, asta e soluția: edităm fișierul /usr/share/applications/mimeinfo.cache (*) și căutam rândul cu application/pdf= din care ștergem prima parte -  gimp.desktop; - până rămâne așa:
application/pdf=kde4-okularApplication_pdf.desktop;
Și pozele:
ÎNAINTE:
Opțiunea din Firefox

Fișierul mimeinfo.cache înainte de editare

DUPĂ:

Opțiune Firefox
Fișierul mimeinfo.cache după editare





(*)Editarea trebuie făcută ca root, eu folosesc kate:
kdesudo kate /usr/share/applications/mimeinfo.cache
Din păcate, nu am timp să caut care sunt tipurile mime corecte pentru celelalte DE-uri - Gnome, Unity, MATE, etc., dar cred că se pot găsi în fișierul respectiv imediat după GIMP, așa cum era okular la mine.

vineri, 10 iulie 2015

Compilare kernel Linux/Ubuntu

Astăzi una scurtă despre compilarea unui kernel pe Linux/Ubuntu și derivatele Ubuntu.
Zilele trecute aveam ceva timp liber și am zis să încerc să compilez un kernel pentru laptopul meu. Adică un kernel care să conțină doar cele necesare funcționării sistemului meu și atât. Ca surse de inspirație principale, în afară de cele ce se găsesc la o simplă căutare pe Google, au fost forumul Ubuntu și blogul lui V3n3RiX. Recomand cu căldură să citiți ce este pe acolo, sunt chestii utile. 
Fără prea multă vorbă, să trecem la ce ne doare. Cum ultima versiune de kernel stabilă la momentul ăsta este 4.1.1, voi folosi asta în exemplul meu. Dacă nu, mergem frumos pe kernel.org și vedem ce versiune de kernel vrem/ne trebuie.Prima dată instalăm cele necesare:

sudo apt-get install build-essential kernel-package dkms libncurses5-dev
libncurses este necesar dacă vrem să rulăm comanda make nconfig de mai jos. Apoi deschidem un terminal și dăm pe rând comenzile de mai jos:

sudo su - 
cd /usr/src 
wget -c https://www.kernel.org/pub/linux/kernel/v4.x/linux-4.1.1.tar.xz 
unxz linux-4.1.1.tar.xz 
tar xvf linux-4.1.1.tar 
ln -s linux-4.1.1 linux 
cd /usr/src/linux 
cp /boot/config-`uname -r` ./.config 
make localmodconfig 
make nconfig 
Comanda make nconfig  este  opțională, dacă vrem să modificăm opțiunile alese de comanda precedentă
Este posibil ca la comanda make localmodconfig să ni se ceară să acceptăm/refuzăm mai multe opțiuni, dacă versiunea de kernel este mai nouă decât ceea ce avem instalat în sistem. Putem lăsa opțiunile implicite, dacă nu știm ce anume să alegem. O căutare pe Google după opțiunea respectivă ne poate lămuri, dar asta cere timp destul de mult. 
Acum, pentru pasul final, avem mai multe opțiuni (aici părerile sunt împărțite, eu prefer să fac pachete .deb ca să le pot instala pe mai multe sisteme Ubuntu instalate pe laptop). Adică fac așa:

make -j `getconf _NPROCESSORS_ONLN` deb-pkg


Comanda de mai sus va crea pachete .deb folosind la compilare toate nucleele procesorului. dacă știm exact câte nuclee ar procesorul (4, de exemplu), putem da direct comanda 
make -j4 deb-pkg

2. Pentru instalat kernelul direct

Share

Twitter Delicious Facebook Digg Stumbleupon Favorites More